## net.i2p.router.networkdb.kademlia
Class RouterGenerator

    java.lang.Object
      net.i2p.router.networkdb.kademlia.RouterGenerator

    public class RouterGenerator

extends java.lang.Object

Constructor Summary
`RouterGenerator()`

Method Summary
`(package private) static java.util.Set` `createAddresses(int num)`
`(package private) static RouterInfo` `createRouterInfo(int num)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RouterGenerator

    public RouterGenerator()

Method Detail

### main

    public static void main(java.lang.String[] args)

### createRouterInfo

    static RouterInfo createRouterInfo(int num)

### createAddresses

    static java.util.Set createAddresses(int num)